Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Szak

    java.lang.Object
      orarend.Szak

All Implemented Interfaces:
  java.io.Serializable

    public class Szak

extends java.lang.Object
implements java.io.Serializable

Szakokat reprezentáló osztály

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `nev`
`protected java.lang.String` | `szakkod`

Constructor Summary
`Szak()` Üres konstruktor
`Szak(java.lang.String szak, java.lang.String nev)` Szakot létrehozó konstruktor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getNev()`
`java.lang.String` | `getSzakkod()`
`void` | `setNev(java.lang.String nev)`
`void` | `setSzakkod(java.lang.String kod)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### szakkod

    protected java.lang.String szakkod

### nev

    protected java.lang.String nev

Constructor Detail

### Szak

    public Szak()

  Üres konstruktor

### Szak

    public Szak(java.lang.String szak,
                java.lang.String nev)

  Szakot létrehozó konstruktor

  Parameters:
    `szak` - szak kódja
    `nev` - szak neve

Method Detail

### getSzakkod

    public java.lang.String getSzakkod()

### setSzakkod

    public void setSzakkod(java.lang.String kod)

### getNev

    public java.lang.String getNev()

### setNev

    public void setNev(java.lang.String nev)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD